summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-08-24 12:09:17 +0200
committerJustin Lecher <jlec@gentoo.org>2015-08-24 12:12:14 +0200
commit0d930d432b46c83048c5d007eb426a7e076aab02 (patch)
tree713633a995e8fb3fd9a3fd3f87c0cfb9cfccebde
parentdev-python/xlrd: Version Bump (diff)
downloadgentoo-0d930d432b46c83048c5d007eb426a7e076aab02.tar.gz
gentoo-0d930d432b46c83048c5d007eb426a7e076aab02.tar.bz2
gentoo-0d930d432b46c83048c5d007eb426a7e076aab02.zip
dev-python/mistune: Version Bump
Package-Manager: portage-2.2.20.1 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--dev-python/mistune/Manifest1
-rw-r--r--dev-python/mistune/mistune-0.7.1.ebuild28
2 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/mistune/Manifest b/dev-python/mistune/Manifest
index d0ede317d6e..2c5e6f17f9f 100644
--- a/dev-python/mistune/Manifest
+++ b/dev-python/mistune/Manifest
@@ -1,3 +1,4 @@
DIST mistune-0.5.1.tar.gz 183864 SHA256 cc66489a28845c0e1848ae290af5b555074eb76185136ca058e8eed1faa89692 SHA512 56399def88cc1daf5df02a97aba49c3dcc2f860d53222e524bfbd5f48f262f01344582bfd647c363e631b25c300923f690cd0e68ff4e179c4974166f8beca95f WHIRLPOOL 7fbf46712111c0f3087203e50630e200c4df395cd6593001bc23761f5b07c6151c3199dd44b607058bcfbe726eef244797423497d304e87a1f7ceacff2df4261
DIST mistune-0.6.tar.gz 47026 SHA256 d54a69365d01bc97412a39c11674a8aae3f333586e91f38895cc1ad818e13dc5 SHA512 f7f7a7830a733f957c8c541195e061de3ba5843540bc1811639526d7ff0f7b7f549c33af14990bb50e9890eaeb9645cfb9b8cd92e92a4e9a01e388773a33ca16 WHIRLPOOL c52395733faa678655b987a8705f05075ca05922aa5ed5a910d67af35694bdc8a11f7fb8b3fed6398e587dda2208e7e28015756eb5185d372cd3fd3de33610bd
+DIST mistune-0.7.1.tar.gz 48371 SHA256 6076dedf768348927d991f4371e5a799c6a0158b16091df08ee85ee231d929a7 SHA512 634eb321026d45ca1f87cd9fecfb7f105ad0ae6a24f881074326d9c9b5dd714047ffba175f5e8ec5e8de6070cf448d03fb13ca0e5a4cc90a01475d389a8777e8 WHIRLPOOL 9e6980b79b94ca2548854333f97cb7f02d1fbe0cd6805750fa81d143349c90b088f7e098d25021df94c0fa1242f95b3764a04315101f4bfef8711f97c9b9266a
DIST mistune-0.7.tar.gz 48203 SHA256 1daa2e55f5de63ecde7c446c4677c0447006752f78ad2c9c1c3c3452d395f89f SHA512 0d7450dab279f8dc1a608bccad34ec6a99c54ef26ce2439ffa92e1589b0a505ef11382c5d5db990df0e57ba908e3d4b1198c6416dccaf7f5b798894c898874a3 WHIRLPOOL 51db0cf3ab4990c0ee4b2503e2c1ad2ede225c999d0196a6f24cd4d18a69236d1c9365ffc79f0011b1d2d977aa6a69533a968b2e640bb4c0345234e9e5e5e44c
diff --git a/dev-python/mistune/mistune-0.7.1.ebuild b/dev-python/mistune/mistune-0.7.1.ebuild
new file mode 100644
index 00000000000..9ba8e32b7d8
--- /dev/null
+++ b/dev-python/mistune/mistune-0.7.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="The fastest markdown parser in pure Python"
+HOMEPAGE="https://pypi.python.org/pypi/mistune https://github.com/lepture/mistune"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ dev-python/cython[$(python_gen_usedep 'python*')]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ nosetests || die
+}